package org.gcube.dataanalysis.dataminer.poolmanager.ansible.model;

import java.util.Collection;
import java.util.Vector;

public class HostGroup ***REMOVED***

  private String name;

  private Collection<AnsibleHost> hosts;

  public HostGroup(String name) ***REMOVED***
    this.name = name;
    this.hosts = new Vector<>();
  ***REMOVED***

  public void addHost(AnsibleHost h) ***REMOVED***
    this.hosts.add(h);
  ***REMOVED***

  public String getName() ***REMOVED***
    return this.name;
  ***REMOVED***

  public Collection<AnsibleHost> getHosts() ***REMOVED***
    return new Vector<>(this.hosts);
  ***REMOVED***

***REMOVED***
